HttpResponse::setStream
HttpResponse::status
HttpResponse
PHP Manual

# HttpResponse::setThrottleDelay

Set throttle delay

### Description

static bool HttpResponse::setThrottleDelay ( float `$seconds` )

Sets the throttle delay.

> Note: Provides a basic throttling mechanism, which will yield the current process or thread until the entity has been completely sent.

> Note:

> This may not work as expected with the following SAPI(s): FastCGI.

### Parameters

`seconds`

  seconds to sleep after each chunk sent

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getBufferSize
- HttpResponse::setBufferSize
- HttpResponse::getThrottleDelay